/*****************************************************************************

AUTOLIV ELECTRONIC document.

-------------------------------------

DUPLICATION or DISCLOSURE PROHIBITED without prior written consent

******************************************************************************


******************************************************************************/
#ifndef _STD_LIMITS_H_
#define _STD_LIMITS_H_ 1

#include "Fusion_SLAM_types.h"

/*****************************************************************************
STANDARD MACROS
******************************************************************************/
#define STD_UINT8_MIN (0)
#define STD_UINT8_MAX (255)
#define STD_SINT8_MIN (-128)
#define STD_SINT8_MAX (127)

#define STD_UINT16_MIN (0)
#define STD_UINT16_MAX (65535)
#define STD_SINT16_MIN (-32768)
#define STD_SINT16_MAX (32767)

#define STD_UINT32_MIN (0)
#define STD_UINT32_MAX (4294967295)
#define STD_SINT32_MIN (-2147483648)
#define STD_SINT32_MAX (2147483647)
/***************************************************************************
Evolution of the component

Created by : E. Kagan

$Log: Std_Limits.h  $
******************************************************************************/

#endif /* _STD_LIMITS_H_ */
